#
# spec file for package votca-csgapps
#
# Copyright (c) 2020-2021 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013-2021 Christoph Junghans
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:       votca-csgapps
Version:    1.6.4
%define     uversion %{version}
Release:    bp156.3.7
Summary:    VOTCA coarse-graining engine applications
Group:      Productivity/Scientific/Chemistry
License:    Apache-2.0
URL:        http://www.votca.org
Source0:    https://github.com/votca/csgapps/archive/v%{uversion}.tar.gz#/%{name}-%{uversion}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

BuildRequires:  gromacs-devel
BuildRequires:  gcc-c++
BuildRequires:  fdupes
BuildRequires:  libboost_program_options-devel
BuildRequires:  votca-csg-devel = %{version}
BuildRequires:  votca-tools-devel = %{version}
BuildRequires:  cmake

%description
Versatile Object-oriented Toolkit for Coarse-graining Applications (VOTCA) is
a package to reduce the amount of routine work when doing systematic
coarse-graining of various systems. The core is written in C++.

This package contains sample applications of the VOTCA Coarse Graining Engine.

%prep
%setup -n csgapps-%{uversion} -q

%build
%{cmake} -DENABLE_TESTING=ON
%cmake_build

%install
%cmake_install

%fdupes %{buildroot}%{_prefix}

%check
%ctest

%files
%doc README.md
%{_bindir}/*

%changelog
* Tue Jan 12 2021 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6.4
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Wed Dec  9 2020 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6.3
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Sat Aug 22 2020 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6.2
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Mon Jun 22 2020 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6.1
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Sat Apr 18 2020 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
- Drop support for older Suse Version
* Mon Feb 10 2020 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6_rc2
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Thu Dec  5 2019 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.6_rc1
  - update related to Eigen3 move
  - details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Thu Nov 21 2019 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.5.1
  * build fixes for Centos7
  * details: https://github.com/votca/csg/blob/stable/CHANGELOG.md
* Thu Jan 31 2019 Christoph Junghans <junghans@votca.org>
- Upgrade to 1.5
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Sun Sep  3 2017 junghans@votca.org
- Upgrade to 1.4.1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Sat Nov  5 2016 jengelh@inai.de
- Update descriptions
* Sat Oct 29 2016 junghans@votca.org
- Upgrade to 1.4
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Tue Sep 27 2016 junghans@votca.org
- Upgrade to 1.4_rc1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Aug 19 2016 junghans@votca.org
- Upgrade to 1.3.1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Jan 15 2016 junghans@votca.org
- Upgrade to 1.3
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Thu Oct  8 2015 junghans@votca.org
- Upgrade to 1.3_rc1
  * details: https://github.com/votca/csg/blob/master/CHANGELOG.md
* Fri Sep  5 2014 junghans@votca.org
- update to 1.2.4
  - minor cmake fixes
* Fri Dec  6 2013 junghans@votca.org
- clean up for inclusion in OpenSuse:Factory
* Thu Oct 31 2013 junghans@votca.org
- update to 1.2.3
* Sun Aug 28 2011 kkaempf@suse.com
- New package
- Initial version 1.2.1
